package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbCheckAsfEntity;
import com.ruoyi.web.v3.model.request.HbCheckAsfPageReq;

/**
 * <p>
 * v3.0非洲猪瘟检测管理 服务类
 * </p>
 */
public interface IHbCheckAsfService extends IService<HbCheckAsfEntity> {

    AjaxResult add(HbCheckAsfEntity request);

    AjaxResult edit(HbCheckAsfEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbCheckAsfPageReq request);

    AjaxResult listAll();

}
